# Gets all of the types in the system. This method will scan all types and and return them to the caller. Endpoint: GET /types/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `exclusiveStartKey` (string) The start key, if you're making a subsequent request ## Response 200 fields (application/json): - `certificate_settings` (object, required) - `certificate_settings.certificate_mode` (string) Enum: "automatically generate", "create manually", "disabled" - `certificate_settings.certificate_template` (string) - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `custom_order_generation_options` (object, required) - `custom_order_generation_options.lambda_function_id` (string, required) The custom lambda function to use - `customer_type` (string, required) Enum: "contact", "organization" - `display_in_portal_as` (string) The name of the type, as displayed in the portal - `display_order` (number) The order to display types - `enable_custom_order_generation` (boolean) If set, the order engine will call out to a custom lambda function for custom/complex order logic - `enable_flowdown` (boolean) Whether membership flowdown is enabled for this membership type - `enable_section_restrictions` (boolean) Whether section requirements are enabled for this membership type - `flowdown_membership_type_id` (string) The membership type for flow down contacts - `flowdown_options` (object) - `flowdown_options.contact_role_ids` (array) The contact roles that should automatically receive membership - `flowdown_options.enable_cascading_flowdown` (boolean) Whether membership should cascade down organizations - `flowdown_options.organization_type_ids` (array) The organization types roles that should automatically receive membership - `hide_from_portal` (boolean) Hidden from portal - `id` (string, required) The unique, string identifier of this membership type - `id_card_template_id` (string) The ID card template for this membership type - `is_active` (boolean) Whether or not this type is active - `membership_360_screen_id` (string) Override the 360 screen - `membership_console_page_layout_id` (string) Override the default page layout for membership editing - `membership_portal_page_layout_id` (string) Override the default page layout for membership editing - `name` (string, required) The name of the membership type - `override_certificate_settings` (boolean) If true, the default certificate settings are overridden for this membership - `portal_description` (string) The description of this type in the portal - `section_restrictions` (object, required) - `section_restrictions.maximum_number_of_sections` (number) The maximum number of overall sections - `section_restrictions.minimum_number_of_sections` (number) The minimum number of overall sections - `section_restrictions.section_type_restrictions` (array) - `section_restrictions.section_type_restrictions.maximum` (number) The max # of sections - `section_restrictions.section_type_restrictions.minimum` (number) The minimum number of sections - `section_restrictions.section_type_restrictions.section_type_id` (string) The required section type - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `universal_shopping_cart_image_uri` (string) The image to display for this package when it is in the online store ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields